# Network Editing

Server provides DSS.

## Development environment, local

Using PowerShell:

```PowerShell
venv\Scripts\activate
$env:FLASK_APP = "app"
$env:FLASK_ENV = "development"
flask run -p 5003
```

Using bash:

You can create a virutal environment using python's `virtualenv` or by using [conda](https://docs.conda.io/).
To use conda, first install it using the link, create a virtual envorionment with python using `conda create -n <your_env_name> python`, activate it
with `conda activate <your_env_name>`.
```bash
conda activate <your_env_name> # OR use `source <env_name>/bin/activate` if you have virtualenv
pip install -r requirements.txt
flask run -p 5003
```

## Docker deployment

On Linux:
### depends on `storage_data` component
create a folder named `storage_data` outside of the project directory (`../storage_data`)
### requires network `urbanite`
`docker network create urbanite`
### build and run
docker compose build
docker compose up
